Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0010955
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2009-10-14 12:122010-04-16 06:22
ReporterroklenardicView Statuspublic 
Assigned Toroklenardic 
PrioritynormalResolutionno change requiredFixed in Version
StatusclosedFix in branchFixed in SCM revisioned92f2cb4256
ProjectionnoneETAnoneTarget Version2.50MP12
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version2.50MP6SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0010955: Callouts stop working in the app when called from a button

DescriptionIf there is a link or a button to the login screen of the Openbravo ERP such as:
* <a href="http://ec2-67-202-1-77.compute-1.amazonaws.com" [^] [^] target="_blank">
OR
* <input type='button' onClick="window.open('http://ec2-67-202-1-77.compute-1.amazonaws.com','vm' [^])" [^] name="ov" value="Open My Virtual Machine">

once you login, all callouts do not work which make the application unusable.

This is a similar issue to this one
https://issues.openbravo.com/view.php?id=8911 [^]
TagsNo tags attached.
Attached Fileshtml file icon index.html [^] (317 bytes) 2010-01-21 15:53
png file icon issue10955.png [^] (188,596 bytes) 2010-04-15 16:49

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0008911 closediperdomo menu in Openbravo app called from a link does not work 
related to defect 00113792.50MP11 closediperdomo Error with Internal link 
related to defect 0019038 closedalostale App opened with window.open or link from another domain makes popups not to work 

-  Notes
(0021020)
roklenardic (developer)
2009-10-15 00:17

Actually, the blue links (like the link to the Business Partner inside a Sales Order) stops working too under the same circumstances.
(0023714)
roklenardic (developer)
2010-01-21 14:49

the blue links still do not work in MP9 when the app is called from a button as mentioned above. what is the status of this bug?
(0023716)
iperdomo (developer)
2010-01-21 15:42

@roklenardic:
Will be fixed for 2.50MP12. I just updated the target version.
(0024249)
hgbot (developer)
2010-02-15 10:52

Repository: erp/devel/pi
Changeset: ed92f2cb4256aa1c030ec64d0950454a88ee75b4
Author: Iván Perdomo <ivan.perdomo <at> openbravo.com>
Date: Mon Feb 15 10:51:46 2010 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/ed92f2cb4256aa1c030ec64d0950454a88ee75b4 [^]

Fixes issue 10955: Moved autosave detection duplicated logic to a function

---
M src/org/openbravo/erpCommon/security/Login_F1.html
M web/js/utils.js
---
(0024371)
hudsonbot (developer)
2010-02-16 01:41

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/ed92f2cb4256 [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/5ae4a54f2372 [^]
Tests: http://builds.openbravo.com/view/devel-int/ [^]
OBX: http://builds.openbravo.com/erp/core/obx/OpenbravoERP-2.50CI.16398.obx [^]
(0024500)
dbaz (developer)
2010-02-17 16:58

Now it works
(0026152)
roklenardic (developer)
2010-04-13 19:33

Callouts still do not fire correctly:
There is not callout at Sales/Purchase Orders/Invoices. This means, once
the product is selected, no prices, no units, no taxes, no price
adjustments, no uomordered, nothing is updated. As I know, this is a big
issue.
- Same callout incidence happens when creating a Work Effort, on
production Run tab, no required qty is updated. As is mandatory and not
editable... it doesn't work.
- When creating an inventory, at lines tab, the unit is not editable, but
doesn't change when the product is selected. Neither the ordereduom and
orderedqty do.
- Requisitions an work requirements are created with entity * so can not
be completed. Further more, if I create new manufacturing plans, the
application allows creating new work requirements but not new
requisitions.
- some selector do not work frecuently
(password selector, address selector, etc.), navigating from main tab to
child tab (Accounting report setup, for example).
(0026153)
roklenardic (developer)
2010-04-13 19:34

forgot to mention, I was referring to MP12 that we use in training. Don't know if it might have been fixed in mp13 or mp14 maybe?
(0026154)
iperdomo (developer)
2010-04-13 19:37

@roklenardic

Please always check if an issue was fixed in the latest available release before reopen an issue. In this case, you _must_ check that is not working in 2.50MP14 and that you have a correctly upgraded version and your browsers cache in clean.

Can you please confirm that is not working in 2.50MP14?
(0026277)
iperdomo (developer)
2010-04-15 16:52

I have tested the application, open it from an external location:

http://huehner.org/projects/openbravo/issue10955.html [^]

It opens the live build from _main_ mercurial repo, and is working just fine.

I have attached also an image of the network transfer of the callouts execution.

Can you please confirm that is working and close the issue?

Cheers,

Iván
(0026288)
roklenardic (developer)
2010-04-15 20:08

I can confirm that it works in MP14. thanks!

- Issue History
Date Modified Username Field Change
2009-10-14 12:12 roklenardic New Issue
2009-10-14 12:12 roklenardic Assigned To => rafaroda
2009-10-15 00:17 roklenardic Note Added: 0021020
2009-10-16 13:47 psarobe Status new => scheduled
2009-10-16 13:47 psarobe Assigned To rafaroda => iperdomo
2009-10-16 13:47 psarobe fix_in_branch => pi
2009-10-19 07:09 rafaroda Relationship added related to 0008911
2009-12-16 10:41 alostale Relationship added related to 0011379
2010-01-21 14:49 roklenardic Note Added: 0023714
2010-01-21 15:41 iperdomo Target Version => 2.50MP12
2010-01-21 15:41 iperdomo fix_in_branch pi =>
2010-01-21 15:42 iperdomo Note Added: 0023716
2010-01-21 15:53 iperdomo File Added: index.html
2010-02-15 10:52 hgbot Checkin
2010-02-15 10:52 hgbot Note Added: 0024249
2010-02-15 10:52 hgbot Status scheduled => resolved
2010-02-15 10:52 hgbot Resolution open => fixed
2010-02-15 10:52 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/ed92f2cb4256aa1c030ec64d0950454a88ee75b4 [^]
2010-02-16 01:41 hudsonbot Checkin
2010-02-16 01:41 hudsonbot Note Added: 0024371
2010-02-17 16:58 dbaz Note Added: 0024500
2010-02-17 16:58 dbaz Status resolved => closed
2010-02-18 00:00 anonymous sf_bug_id 0 =>
2010-02-19 13:02 gorka_gil Issue Monitored: gorka_gil
2010-02-19 13:07 gorka_gil Issue End Monitor: gorka_gil
2010-03-10 18:28 anonymous sf_bug_id => 2967931
2010-04-13 19:33 roklenardic Note Added: 0026152
2010-04-13 19:33 roklenardic Status closed => new
2010-04-13 19:33 roklenardic Resolution fixed => open
2010-04-13 19:34 roklenardic Note Added: 0026153
2010-04-13 19:37 iperdomo Note Added: 0026154
2010-04-15 16:49 iperdomo File Added: issue10955.png
2010-04-15 16:52 iperdomo Note Added: 0026277
2010-04-15 16:52 iperdomo Assigned To iperdomo => roklenardic
2010-04-15 16:52 iperdomo Status new => feedback
2010-04-15 20:08 roklenardic Note Added: 0026288
2010-04-16 06:22 iperdomo Status feedback => closed
2010-04-16 06:22 iperdomo Resolution open => no change required
2011-11-10 20:58 roklenardic Relationship added related to 0019038


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker